Sign in to follow this  
obteo

New update B3 issue

Recommended Posts

Hello, I noticed that after the new cod4x update my B3 is not working anymore. XLRstats doesnt start... any idea please? Thank you.

Share this post


Link to post
Share on other sites
2 hours ago, obteo said:

Hello, I noticed that after the new cod4x update my B3 is not working anymore. XLRstats doesnt start... any idea please? Thank you.

check your b3 log  it might show why

Share this post


Link to post
Share on other sites

yes, several times but nothing.. is there the old version with the autoupddate off please?

 

the b3 error log says:

190325 12:02:21 ERROR    'Could not start plugin xlrstats'
Traceback (most recent call last):
  File "/home/b2k/cod4/bot/b3/parser.py", line 1105, in startPlugins
    start_plugin(self, plugin_name)
  File "/home/b2k/cod4/bot/b3/parser.py", line 1096, in start_plugin
    p.onStartup()
  File "/home/b2k/cod4/bot/b3/plugins/xlrstats/__init__.py", line 273, in onStartup
    mapstats = self.get_MapStats(self.console.game.mapName)
  File "/home/b2k/cod4/bot/b3/plugins/xlrstats/__init__.py", line 608, in get_MapStats
    assert name is not None
AssertionError

 

thank you.

 

Share this post


Link to post
Share on other sites

I am using xlrstats as well with the new update, no issues. 

Share this post


Link to post
Share on other sites

Are you using the correct parser ?

Be sure to have cod4x selected in the b3 config. There is something else going on there, check the rest of the log post other stuff here. Check the standard things, loadplugin "b3hide" ports, rcons and so on.

Share this post


Link to post
Share on other sites

topic moved to appropriate subforum

Share this post


Link to post
Share on other sites

Hi and thank you for your replyes. Everything seems okay:

'www.bigbrotherbot.net (b3) v1.10.11 [AngryBiscuit]'
190328 10:10:40 BOT      'Python: 2.7.3 (default, Mar 13 2014, 11:03:55) [GCC 4.7.2]'
190328 10:10:40 BOT      'Default encoding: ascii'
190328 10:10:40 BOT      'Starting Cod4XParser v0.4 for (autorestart = ON)'

 

still have this error:

 

190328 10:11:03 ERROR    'Could not start plugin xlrstats'
Traceback (most recent call last):
  File "/home/b2k/cod4/bot/b3/parser.py", line 1105, in startPlugins
    start_plugin(self, plugin_name)
  File "/home/b2k/cod4/bot/b3/parser.py", line 1096, in start_plugin
    p.onStartup()
  File "/home/b2k/cod4/bot/b3/plugins/xlrstats/__init__.py", line 273, in onStartup
    mapstats = self.get_MapStats(self.console.game.mapName)
  File "/home/b2k/cod4/bot/b3/plugins/xlrstats/__init__.py", line 608, in get_MapStats
    assert name is not None
AssertionError

 

maybe have you another parser for me? Thanks!

Share this post


Link to post
Share on other sites

Just remove xlrstats plugin from your config, and try again. 

Share this post


Link to post
Share on other sites

maybe you just debug and figure out why the map name isn't set?

Share this post


Link to post
Share on other sites
Posted (edited)

parsers.rar Here are the parsers that you will need for cod4x, you might want to try v1.10.10 version, works fine for me, If I am correct the newer versions are not working well with cod4x

Edited by Kreator

Share this post


Link to post
Share on other sites

Im using 1.12 latest from github, works without any issue. 

Share this post


Link to post
Share on other sites

Thank you guys so, commenting out the xlrstats in the config the bot wotks with no error and with the new parser Kreator attached here I get the same issue... :/

maybe something with New Experience? I'm running it

Share this post


Link to post
Share on other sites
Posted (edited)

I'm using ne mod also,maybe you didn't install some dependencies to work b3 correctly

Edited by AlexC

Share this post


Link to post
Share on other sites

every dependencies has been set properly in the past.. it runs for years... it stopped working just with the update. So, or new dependencies have neen added for it or I don't know. Is it possible to have the old one dedrun please?

Share this post


Link to post
Share on other sites

I think all depends on a GUID issue.... seems everyone has 0 as GUID...

Share this post


Link to post
Share on other sites

this is the error I get:

 

Error: ERROR: Cannot setnormalhealth to 0 or below.

 

if anyone can tell me what's going on please.

 

Thank you.

Share this post


Link to post
Share on other sites

I guess you using old NE mod the. I had that issue as well. That already been fixed, update your mod. 

Share this post


Link to post
Share on other sites

Join the conversation

You can post now and register later. If you have an account, sign in now to post with your account.

Guest
Reply to this topic...

×   Pasted as rich text.   Paste as plain text instead

  Only 75 emoji are allowed.

×   Your link has been automatically embedded.   Display as a link instead

×   Your previous content has been restored.   Clear editor

×   You cannot paste images directly. Upload or insert images from URL.

Sign in to follow this